<?xml version="1.0" encoding="utf-8"?>
<odoo>
<data noupdate="1">

    <record model="account.journal.group" id="boutique_journal_group">
            <field name="name">Boutique</field>
    </record>

    <!-- Débiteurs Boutique -->
    <record model="account.account" id="boutique_debtor_account">
            <field name="name">Débiteurs Boutique</field>
            <field name="code">1102</field>
            <field name="user_type_id" ref="account.data_account_type_receivable"/>
            <field name="reconcile" eval="True"/>
            <field name="currency_id" ref="base.CHF"/>
    </record>

    <record model="account.journal" id="boutique_journal">
            <field name="name">Boutique</field>
            <field name="code">BOUTIQUE</field>
            <field name="sequence">3</field>
            <field name="type">sale</field>
            <field name="journal_group_ids" eval="[(4, ref('boutique_journal_group'))]" />
    </record>

    <!-- Cash Boutique -->
    <record model="account.account" id="cash_account_1001_BOUTIQUE">
            <field name="name">Cash Boutique</field>
            <field name="code">1001</field>
            <field name="user_type_id" ref="account.data_account_type_current_assets"/>
            <field name="currency_id" ref="base.CHF"/>
    </record>
    <record model="account.journal" id="cash_journal_boutique">
            <field name="name">Cash Boutique</field>
            <field name="code">CASH_BOUT</field>
            <field name="sequence">15</field>
            <field name="type">cash</field>
            <field name="journal_group_ids" eval="[(4, ref('boutique_journal_group'))]" />

            <field name="payment_debit_account_id" ref="cash_account_1001_BOUTIQUE" />
            <field name="payment_credit_account_id" ref="cash_account_1001_BOUTIQUE" />
            <field name="default_account_id" ref="cash_account_1001_BOUTIQUE" />
            <field name="suspense_account_id" ref="agepoly_account_customizations.cash_suspense_account" />
         

            <field name="profit_account_id" ref="agepoly_account_customizations.cash_profit"/>
            <field name="loss_account_id" ref="agepoly_account_customizations.cash_loss"/>
    

            <field name="outbound_payment_method_ids" eval="[(4, ref('account.account_payment_method_manual_out'))]" />
            <field name="inbound_payment_method_ids" eval="[(4, ref('account.account_payment_method_manual_in'))]" />
    </record>

    <!-- AGEPoly payment mode in @ boutique -->
    <record id="agepoly_payment_mode_desk_in" model="account.payment.mode">
        <field name="name">Boutique</field>
        <field name="payment_method_id" ref="account.account_payment_method_manual_in"/>
        <field name="payment_type">inbound</field>
        <field name="payment_order_ok" eval="False"/>
        <field name="bank_account_link">variable</field>
        <field name="show_bank_account" eval="False"/>
        <field name="note">inbound</field>
    </record>

    <!-- Compte de passage paiement facture boutique -->
    <record model="account.account" id="passage_facture_boutique">
            <field name="name">Compte de Passage Facture Payée à la Boutique</field>
            <field name="code">1062</field>
            <field name="user_type_id" ref="account.data_account_type_current_assets"/>
            <field name="currency_id" ref="base.CHF"/>
    </record>

    <!-- pseudo journal pour les paiement de facture à boutique -->
    <record model="account.journal" id="paid_invoice_boutique">
            <field name="name">Paiement des Factures à la Boutique</field>
            <field name="code">PAIBOU</field>
            <field name="sequence">15</field>
            <field name="type">cash</field>
            <field name="journal_group_ids" eval="[(4, ref('boutique_journal_group'))]" />

            <field name="payment_debit_account_id" ref="passage_facture_boutique" />
            <field name="payment_credit_account_id" ref="passage_facture_boutique" />
            <field name="default_account_id" ref="passage_facture_boutique" />
            <field name="suspense_account_id" ref="agepoly_account_customizations.payment_provider_suspense_account" />
  

            <field name="outbound_payment_method_ids" eval="[(4, ref('account.account_payment_method_manual_out'))]" />
            <field name="inbound_payment_method_ids" eval="[(4, ref('account.account_payment_method_manual_in'))]" />
    </record>

    <!-- AGEPoly paypal and cornercard (temp) -->
    <record id="agepoly_payment_mode_cornercard" model="account.payment.mode">
        <field name="name">CornerCard</field>
        <field name="payment_method_id" ref="account.account_payment_method_manual_out"/>
        <field name="payment_type">outbound</field>
        <field name="payment_order_ok" eval="False"/>
        <field name="bank_account_link">variable</field>
        <field name="show_bank_account" eval="False"/>
        <field name="note">outbound</field>
    </record>

</data>
</odoo>